> ## Documentation Index
> Fetch the complete documentation index at: https://api.docs.flare.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Identifier Recommendations



## OpenAPI

````yaml firework-v4-openapi get /firework/v4/identifier-recommendations/
openapi: 3.1.0
info:
  title: Firework API
  version: v4
servers:
  - url: https://api.flare.io
security:
  - BearerAuth: []
paths:
  /firework/v4/identifier-recommendations/:
    get:
      tags:
        - public
        - team=experience
      summary: Fetch Identifier Recommendations
      operationId: fetch_identifier_recommendations_identifier_recommendations__get
      parameters:
        - name: types
          in: query
          required: false
          schema:
            anyOf:
              - type: array
                items:
                  enum:
                    - domain
                    - azure_tenant
                    - email
                    - username
                  type: string
              - type: 'null'
            title: Types
        - name: query
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Query
        - name: from
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: From
        - name: size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            exclusiveMinimum: 0
            default: 100
            title: Size
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResults_Recommendation_str_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PaginatedResults_Recommendation_str_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/Recommendation'
          type: array
          title: Items
        next:
          anyOf:
            - type: string
            - type: 'null'
          title: Next
      type: object
      required:
        - items
        - next
      title: PaginatedResults[Recommendation, str]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Recommendation:
      properties:
        id:
          type: integer
          title: Id
        data:
          oneOf:
            - $ref: '#/components/schemas/DomainData'
            - $ref: '#/components/schemas/AzureTenantData'
            - $ref: '#/components/schemas/EmailData'
            - $ref: '#/components/schemas/UsernameData'
          title: Data
          discriminator:
            propertyName: type
            mapping:
              azure_tenant:
                $ref: '#/components/schemas/AzureTenantData'
              domain:
                $ref: '#/components/schemas/DomainData'
              email:
                $ref: '#/components/schemas/EmailData'
              username:
                $ref: '#/components/schemas/UsernameData'
      type: object
      required:
        - id
        - data
      title: Recommendation
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    DomainData:
      properties:
        type:
          type: string
          const: domain
          title: Type
          default: domain
        fqdn:
          type: string
          minLength: 1
          title: Fqdn
      type: object
      required:
        - fqdn
      title: DomainData
    AzureTenantData:
      properties:
        type:
          type: string
          const: azure_tenant
          title: Type
          default: azure_tenant
        tenant_id:
          type: string
          minLength: 1
          title: Tenant Id
      type: object
      required:
        - tenant_id
      title: AzureTenantData
    EmailData:
      properties:
        type:
          type: string
          const: email
          title: Type
          default: email
        email:
          type: string
          format: email
          title: Email
      type: object
      required:
        - email
      title: EmailData
    UsernameData:
      properties:
        type:
          type: string
          const: username
          title: Type
          default: username
        username:
          type: string
          minLength: 1
          title: Username
      type: object
      required:
        - username
      title: UsernameData
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````